PCManFM freezes with Assertion `!xcb_xlib_threads_sequence_lost' failed when clicking on a file or folder in 18.04

Bug #1782984 reported by Stephen McEntee on 2018-07-22
124
This bug affects 19 people
Affects Status Importance Assigned to Milestone
pcmanfm (Ubuntu)
Critical
Unassigned

Bug Description

STEPS TO REPRODUCE
==================
The bug seems to occur when clicking on a file or folder. It is random and difficult to provide clear steps to reproduce. It is, however, a common situation.

EXPECTED RESULTS
================
pcmanfm works without problem.

ACTUAL RESULTS
==============
All pcmanfm windows become unresponsive, though background processes (e.g. copying) may continue without problem. with the same error message in ~/.cache/lxsession/LXDE/run.log:

[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
** Message: 19:58:49.267: app.vala:130: pcmanfm exit with this type of exit: 6
** Message: 19:58:49.268: app.vala:148: Exit not normal, try to reload

(note the timestamp on the message will vary)

AFFECTED VERSIONS
=================
1.2.5-3ubuntu1
NOT 1.2.4-1ubuntu0.1

UPSTREAM BUG
============
https://sourceforge.net/p/pcmanfm/bugs/1089/

ADDITIONAL NOTES
================
Other GTK2 file managers (e.g. Thunar) and applications (e.g. GIMP, Leafpad) seem to have the same problems. This is probably at least rooted in a GTK2 bug:
https://bugs.launchpad.net/ubuntu/+source/gtk+2.0/+bug/1808710

To further assert this, note that there is a SpaceFM file manager that is available in GTK2 and GTK3. The GTK2 version displays the behavior. The GTK3 version does not. Same with LibreOffice.

Stephen McEntee (stephenmce) wrote :
Simon Quigley (tsimonq2) wrote :

Looking into this a bit later when I do some real hardware testing.

Thanks for the bug report.

prrvchr (prrvchr) wrote :

Hi,

I can confirm this bug .. on Lubuntu 18.04 ...
I already had the same one on Lubuntu 17.04 ...
PCManFM unexpectedly closes when you open a folder and it seems to be more common when the option 'Preserve directory's settings' is enabled

David Schubert (schubeda) wrote :

Same bug here.
After upgrading to Lubuntu 18.04, pcmanfm crashes unexpectedly with the same error message (No such file or directory: '/etc/xdg/pcmanfm/Lubuntu/lubuntu.conf').

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pcmanfm (Ubuntu):
status: New → Confirmed
Bill Miller (wbmilleriii) wrote :

Never had this until 18.04. Now it happens on several 64 and 32 bit Lubuntu installs, as well as Ubuntu installs where I've added LXDE.

Bill Miller (wbmilleriii) wrote :

I don't get any error message, it just freezes (mouse still moves) and after a minute or so the "has stopped responding" box pops up.

Ben (7-ben-a) wrote :

I have the same problem with my installation of Lubuntu 18.04.01 LTS on my Shuttle Barebone PC. When using it with my samba share from a NAS in my LAN it crashes a lot.

Also, the icon of PCmanFM in the LXPanel 0.9.3 is not blue but black. If I uptick the heigh of the icons in the panel then the icon becomes blue, when I change it back to its original smaller size it stays blue. But then it changes to black again some time later.

David Paenson (davepolit) wrote :

Same problem here on 18.04 (and previous versions). Crashes often for no special reason. Is there a more stable alternative?

Janos Verebes (janoka72hun) wrote :

Same problem here with Lubuntu Bionic (18.04.01 LTS 64bit Desktop). PcManFM crashes quite often when accessing folders or files, it seems like a timing problem. There is no any rule of freezing. It is random and it seems is not depending on any action or background activity.
The PcManFM window becomes suddenly unresponsive, virtually it freezes. Eg. it shows the latest hint permanently, no reaction to anything.
When an instance crashes, all the other opened instances become unresponsive without any sign.
Starting a new instance of PcManFM after the crash, it closes all of the frozen instances, and the new one works well. ... for a while.
But never crashes during actions (Copying, Moving, Deleting...etc).
It crashes only when accessing a file or folder by a mouse-click.

Previous version I used are absoulutely OK. (Lubuntu 16.04.xx LTS.)

Thank you in advance,
Regards.

Ben (7-ben-a) wrote :

I want to add, that I love PCmanFM above all other options! We need this to work! The clean surface of PCmanFM fits perfectly into Lubuntu. It was a blessing to work with it. There is no clean alternative.

Ben (7-ben-a) wrote :

I have some additional information regarding the crash. I use a samba share with mp3fs on it. This is a file system that transfers files to mp3 upon access (https://khenriks.github.io/mp3fs/).

Janos Verebes wrote that PCmanFM does not crash while performing actions. I have made the experience that it does crash the connection to the file system while copying from that special file system. This results in a broken mount point on the samba share - broken in the sense that "ls -all" shows "?????" on permission rights and user/group. I have then to unmount it and mount it again.

I am not 100% sure if the file system/mount point crashes because of PCmanFM, though. PCmanFM does not crash in the sense that the UI gets unresponsive. But I have the feeling both isses are related. I never had troubles using mp3fs before upgrading to 18.04.

Walter Lapchynski (wxl) wrote :

So important question: which filesystem(s) is this happening with?

Janos Verebes (janoka72hun) wrote :

Agreeing with Ben I can confirm the situation.
When multiple instances of PcManFM run and one of them freezes by accessing a file by user as it has been described above, other instances' windows become unresponsive, but seemingly the running processes (eg. copying) run in the background. One time I waited until a copying process may end to not to ruin the USB file system, and it seemed the copying process finished successfully despite the UI became frozen. So I think the background processes are running despite the file manager window is frozen.

The freezing may be more frequent when using an USB stick drive or something like that, but it is not depend on the media, but may be the problem occures more frequently then.

Janos Verebes (janoka72hun) wrote :

As a quick response to Walter's important question as I see freezing of PcManFM is not really file system dependent. For me it freezes with NTFS, FAT32, FAT16 (USB sticks) and EXT4 file systems (Lubuntu installed) either. Tested hardware background is a HP Elite 8300 Pro and HP 6300 Pro. Both of the machines uses Pentium G processors with intel Q75 and Q77 chip sets which are nearly the same.
With previously used version 16.04 LTS everything worked perfectly without any error.
Since I know PCManFM is much more than a file manager in Lubuntu systems, it is the base of the whole system handler, Desktop...etc. That's why it is strange when file manager window freezes every other component work along.
As an addendum, using the new Swap policy - when the system handles the swap as a file, the GIMP graphics editor closes suddenly without any sign. Maybe the swap handler can not satisfy GIMP's quite big swap needs. But I don't know. Using the old Swap method, when I use a part of the HDD as a swap area (about 30GB for 12GB Ram installed) GIMP seems to work well. I don't know whether the new Swap handling affects PCManFM crash story or not.

Walter Lapchynski (wxl) wrote :

Ok, so at least several filesystems do have this problem.

To get at the bottom of this, we need to be very careful about conflating issues together. There may be some other things that are possibly related, but let's not jump there quite yet. First we need to identify the nature of the problem. Let's stick to one particular set of symptoms triggered by a specific set of actions.

That said, many questions remain:

 1. To reproduce, what conditions are necessary and exactly what do I need to do to to make this happen?
 2. What are the actual results? I see mentions of freezing and crashing, sometimes both, but those are very different things.
 3. Is this only on upgraded versions? Do new installs have the same situation?
 4. Any errors in /var/log/syslog, `dmesg`?
 5. Any output from pcmanfm itself if run from the command line? `killall pcmanfm && pcmanfm --desktop --profile lubuntu` should do the trick.
 6. Does this only happen on real hardware or can this be reproduced on a virtual machine?

In an ideal world, this would be testable on a virtual machine and one could just boot up the live system of bionic and perform a particular set of steps and see the actual symptoms. Random things are incredibly hard (let's say virtually impossible) to fix, especially if no particular errors are shown. That said, until we can figure out the above, I've set the bug to incomplete.

I suspect the error about the conf file is a red herring, by the way. Using `strace` on pcmanfm it looks for several possible config files before it finds what it's looking for and this is not uncommon.

Not found:
openat(AT_FDCWD, "/etc/xdg/xdg-Lubuntu/libfm/libfm.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/home/lubuntu/.config/libfm/dir-settings.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/etc/xdg/lubuntu/pcmanfm/lubuntu/pcmanfm.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/etc/xdg/xdg-Lubuntu/pcmanfm/lubuntu/pcmanfm.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/home/lubuntu/.config/pcmanfm/lubuntu.conf", O_RDONLY) = -1 ENOENT (No such file or directory)

Found:
openat(AT_FDCWD, "/etc/xdg/libfm/libfm.conf", O_RDONLY) = 8
openat(AT_FDCWD, "/etc/xdg/lubuntu/libfm/libfm.conf", O_RDONLY) = 8
openat(AT_FDCWD, "/home/lubuntu/.config/libfm/libfm.conf", O_RDONLY) = 8
openat(AT_FDCWD, "/home/lubuntu/.config/user-dirs.dirs", O_RDONLY) = 12
openat(AT_FDCWD, "/etc/xdg/pcmanfm/lubuntu/pcmanfm.conf", O_RDONLY) = 12
openat(AT_FDCWD, "/home/lubuntu/.config/pcmanfm/lubuntu/pcmanfm.conf", O_RDONLY) = 12
openat(AT_FDCWD, "/home/lubuntu/.config/pcmanfm/lubuntu/desktop-items-0.conf", O_RDONLY) = 12
openat(AT_FDCWD, "/home/lubuntu/.config/pcmanfm/lubuntu/desktop-items-0.conf", O_RDONLY) = 13

Changed in pcmanfm (Ubuntu):
status: Confirmed → Incomplete
Janos Verebes (janoka72hun) wrote :

Dear Walter,
I understood everything you wrote. I can promise tomorrow I will do a clean install of Lubuntu 18.04 on a HP Desktop AMD X2 250 machine and avoid any upgrade, and I will test the behavior of the file manager. As I remember - on an updated system of course - the problem came up more frequently when an USB device was connected to the system. Eg. an USB hub with an USB stick inserted in.
Tomorrow I'll test it again. The freezing is not occurred only when I clicked a file on the USB stick but I clicked any of the files or folders anywhere system-wide or even SAMBA shares.
Now, when I tried to describe the freezing to you, PCManFM just freezes when just clicking here-and-there now in the /var/log folder... You can see the click not selects the file, not changes its color as selected, and the black backgrounded hint freezes on the window. Then clicking on an other window, PCManFM file manager instance vanishes. I open the syslog to see what happened: No, there is nothing new in the syslog as if nothing had happened. Now there is no any external drive or device connected to the machine. Uhhhh.. it's a hard thing!

Thank you for the kind helpfulness.

Walter Lapchynski (wxl) wrote :

Thanks Janos. I think if we are persistent and approach this scientifically, we can figure it out. If you can figure out some hint (e.g. the USB) start eliminating variables and applying it to multiple situations. When we can find something consistent, we'll be on our way.

The other thing we can try to do is doing an strace. The problem is that is going to be really "chatty" so if we can nail this down to a set of steps we can perform quickly, it will be less of an issue of finding a needle in the world's biggest haystack.

Janos Verebes (janoka72hun) wrote :

Dear Walter,

In last two days I haven't got time to look around in the topic, but I discussed this problem with colleagues who develop softwares for instruments using Linux, asking for their opinion. They told me if the file operations remain alive after window crashing, it can mean the problem must be a window manager problem instead of problem of the file manager itself. I appreciate their opinion, so first of all I will check the live CD with "Try Lubuntu" function, which is the purest version of Lubuntu without extra packages. If the problem comes up, we will get closer to the solution.. So tomorrow.

Thanks for your help,
Regards,
Janos

Janos Verebes (janoka72hun) wrote :

Dear Walter,

So here I am with the test result.
Starting only the Live CD without any extra driver, software, etc...

I don"t really know whether it is a bad news or good:
It does produce the freezing also.

The situation we can see is just the same, black backgrounded file-hint stuck on the screen, no window-handler response, waiting a while, then all the PcManFM instances vanish with no log of any problem.

With this test I wanted to make sure the problem is not because of an extra not-so-compatible driver or window compositing.

I have made the test on Lubuntu 18.04.1 amd64 release.
Test machine was my HP Elite Pro 8300 (Pentium G2030 processor @ 3 GHz, 12GB of DDR3 ram @ 1333MHz) Winchester was not affected in any situation using the LiveCD function.

On Monday I will perform this test on an AMD X2 machine also.

Best regards,
Janos

Walter Lapchynski (wxl) wrote :

In regards to actually fixing the bug, this is great news. This means that I should be able to reproduce it myself. Can you give me clear steps to follow, especially with the default ext4 filesystem? That will make it even easier if there are no special conditions.

Janos Verebes (janoka72hun) wrote :

Dear Walter,

There is no special conditions, only boot from USB or CD with Lubuntu 18.04 LTS on it, and choose "Try Lubuntu" function instead of "Install Lubuntu". There is no need to use a HDD or SSD either.

There, when Desktop completes, click on the "File manager" icon in the upper left corner, and there I started another instance, and started to just clicking around or try to copy any folder into for example to Documents folder.. When I tried to click on the target directory I got a freeze then vanishing. Checking for the log in folder you mention above, there was nothing about the crash.

It seems the Task Manager shuts down PcManFM since it is not responding. In Live CD (Try Lubuntu) mode - before any installation - all the tasks run in the main memory, so it is dependent none of the installed file systems. By the way normally I use Ext4, but in this situation it really doesn't matter.

Regards,
Janos

Janos Verebes (janoka72hun) wrote :

Dear Walter,

Just a little addendum.
When PcManFM freezes, all the running instances of it freezing, however their windows are manageable which means minimizing, maximizing, moving are working but telling the truth wen maximizing of course it doesn't show any window content since the program is not responding. It is closing which is not working since the task manager cannot send the normal close command. Then the task manager sends a message the program is not responding.

When starting a new instance of PCManFm before this message appear, all the instances vanish from the screen, and the new one will work correctly until the next crash.

Thank You,
Best wishes,
Janos

Walter Lapchynski (wxl) wrote :

Here's what I tried based on my interpretation of your steps to follow:

 1. Boot 18.04.1
 2. Select "Try Lubuntu"
 3. Right click on the "Trash" icon at the upper left, click "Open in New Window"
 4. Repeat step 3
 5. Open the task manager to keep an eye on things
 6. In one of the PCManFM windows (let's call this Window A), click "Home Folder"
 7. Right click, "Create > New Folder", take the default name ("New")
 8. In the other window (let's call this Window B), click "Home Folder"
 9. Open the "Documents" folder
10. From Window A, drag "New" folder onto Window B ("Documents")
11. In Window B, drag "New" folder back onto Window B ("Home Folder")

At no point was there any freezing or even really reduced performance.

This was in a virtual machine, so maybe that's part of the problem, but I think it's more likely that the issue is that clear steps to reproduce aren't there.

Janos Verebes (janoka72hun) wrote :

Dear Walter,

Unfortunately you are right,
There is no clear steps to get a freeze. It is completely stochastic, depends on no special steps. Whenever it thinks it freezes. Strange because of no other program freezes, window managing seems to be OK, in this way I have to thing the problem is when accessing file elements. And it happens even when just perform a one-left-clink on a file single file or folder.
The question is, what happens when a left-click performed. It accesses file or just a screen function (but probably the first one.) ?
So today I perform a clean test on a real machine booting a LiveCD but now on an AMD X2 250 system - to avoid the question of any specific processor timing problem. (Since Pentium G has a 3 level cache while AMD has the good old architecture).

Thanks and best wishes,
Janos

Janos Verebes (janoka72hun) wrote :

Dear Walter,

I have the results from HP machine with AMD Athlon II 250 processor and 4GB Ram.

After booting Live CD and starting PcManFM I nearly immediately got the crash.
Apport function dropped up a "System Program Error Detected" window, then I succeeded to save some logs from /var/log and /var/crash.
If any of them can be helpful I can send you... if I can get an e-mail address or sg. like that. In /var/crash there is a 10,1MB sized "_usr_bin_pcmanfm.999.crash" log also.

And some more words: Since AMD machine is a bit slower than Intel G machine, after the freezing - in the waiting time - I could start another instance of PcManFM which also started frozen, then all the instances vanished. Only after vanishing I could start a new, yet working instance.

Regards,
Janos

Walter Lapchynski (wxl) wrote :

You should be able to attach the files here. The .crash will likely be the most useful.

Janos Verebes (janoka72hun) wrote :

OK, thanks, Here I send all the saved logs include the .crash file syslog, kern.log etc.

Janos Verebes (janoka72hun) wrote :

Just a little update,
clicking the "Go to parent directory" (Up arrow) in PcManFM window I got a crash also. So not the file or directory clicking cause crash only.

Thanks,
Janos

Janos Verebes (janoka72hun) wrote :

A new Crash file (/var/crash/)is available from an istalled Lubutnu 18.04.1 64 bit desktop version.
The situation is just the same, when accessing a directory, PcManFM window freezes.

Regards,
Janos

Janos Verebes (janoka72hun) wrote :

Important News!

Trying find an other file-handling solution instead of PcManFM, I installed Thunar on Lubunu 18.04.1 LTS,

AND IT DOES JUST THE SAME KIND OF FREEZING !!!!

Accessing directory or file it freezes.
Unfortunately there is no crash report so far...
But the situation is just the same.
That can easily mean the problem is not a PCManFm problem.

Janos Verebes (janoka72hun) wrote :

The topic seems to be a bit abandoned suggesting all is good as it is not.

A little workaround since PCManFM handles the desktop well, to install CAJA file manager with its plugins (originally comes with Mate desktop). As I work with it for about two weeks it seems to be OK. No freeze, no problem with Lubuntu 18.04.1 LTS.
 I am one of those who are enjoying lightning speed and great scalability of Lubuntu for years, and it would be really sad having to give it up and change to a "maybe shinier" but much slower desktop. I want to try anything to bring it back to life since PcManFM is my favorite, but editing, renaming, copying, moving lot of files as I do makes this freezing problem quite an annoying and somehow dangerous. Until a reliable solution comes up I work with Caja as a second possibility of file managing.

If any of "suffering" Lubuntu Bionic users is interested in using caja and its plugins, install the following packages:

sudo apt install caja caja-open-terminal caja-extensions-common caja-actions caja-image-converter mate-terminal caja-rename engrampa

("mate-terminal" is for "Open terminal here" function, and "engrampa" archive manager is for "create-archive" function.)

Thanks, Regards,
Janos

Ben (7-ben-a) wrote :

Thanks for the information! I tried to copy via terminal from my samba share and this also crashed my mount point of the mp3fs on the share the same way as with using PCmanFM. I am not an expert, but maybe the problem is not related to PCmanFM but more deeply in the kernel?

Janos Verebes (janoka72hun) wrote :

Hi Ben,
Recently I had problem with Samba share, but with a little workaround I managed to solve the problem.
Since Samba is also modified in Ubuntu 18.04 it is needed to look for your problem. Using Caja I have no problem like I had with PcManFM, but no mention it is a deeper problem because Thunar freezes also with Lubuntu 18.04.

Just for a try I share my Samba workaround with you, maybe you will find something different between your and my packages or configuration.

Let us see:

The way I installed Samba for enable and handle sharing is:
sudo apt-get install libgnomevfs2-extra samba-common samba-common-bin winbind libpam-winbind libnss-winbind libgnomevfs2-bin fam gnome-mime-data samba python-glade2 system-config-samba smbclient cifs-utils heimdal-clients

then after making my network seetings (Host name, Workgroup) ...
edit /etc/samba/smb.conf

and go to the Global Settings section
(under global these two new lines enables file manager to see and browse Samba shares, the line at the bottom "client max protocol = NT1" sets the protocol as it worked well in lubuntu 16.04 ).
So make the following modifications like this below:

#======================= Global Settings =======================
[global]

client use spnego = no
client NTLMv2 auth = no

## Browsing/Identification ###
# Change this to the workgroup/NT-domain name your Samba server will part of
   workgroup = WORKGROUP
   client max protocol = NT1

Save the file,
Then give this another try with Caja! ...and of course don't forget to write your experiences :)
It works for me like a charm.
Formerly I used package GAMIN (which caused problems) instead of FAM. Since using FAM there is no problem.

For me PcManFM and Thunar freeze even when accessing local files, caja seems to solve the problem so far. However PcManFM is faster, better, etc... but since it freezes, I am not brave enough to handle my files with it.

Ps: and an other great plugin for caja is caja-rename which gives caja a really powerful bulk renaming function.
sudo apt install caja-rename

Regards,
Janos

Janos Verebes (janoka72hun) wrote :

PCManFM 1.3.0.1 on Lubuntu 18.04.1 LTS

Thinking a big, I looked for PCManFM 1.3.0.-1 at launchapd.net:

https://launchpad.net/ubuntu/cosmic/arm64/pcmanfm/1.3.0-1

and downloaded the .deb file below from the "Downloadable files" section here:

http://launchpadlibrarian.net/368633026/pcmanfm_1.3.0-1_arm64.deb

Surprisingly all the dependencies are satisfied, so no modifications needed to use this file with Lununtu 18.04.1

And tested...

No freeze so far, however I've made a bunch of file operations.
I continue testing for some days, I will write my experiences.

Regards,
Janos

Janos Verebes (janoka72hun) wrote :

Sorry, the links I gave (in previous message) are bad.

Now, the good ones again.

First is for launchpad.net:

https://launchpad.net/ubuntu/cosmic/amd64/pcmanfm/1.3.0-1

And the second one is for the download link (amd64 achitecture):

http://launchpadlibrarian.net/368631138/pcmanfm_1.3.0-1_amd64.deb

Sorry again for the inconvenience.

Simon Quigley (tsimonq2) on 2018-10-22
Changed in pcmanfm (Ubuntu):
status: Incomplete → Confirmed
Simon Quigley (tsimonq2) wrote :

Hello,

Does this happen on Lubuntu 16.04 as well? What about 14.04?

Once we have this knowledge and once I can reproduce it, I can go about Git bisecting the commit which caused this, so I can then analyze the changes between the 18.04 copy and the 18.10 copy (if that does indeed work) and find the fix.

If I can't reproduce this, it will be much harder, but it's a step in the right direction regardless.

Thanks everyone for your time working on this bug.

Janos Verebes (janoka72hun) wrote :

Hello,

Answering Simon's question: No, on 16.04 and 14.04 everything is OK !!!!
The problem started (as it is mentioned by "prrvchr" up above at message #3) from Lubuntu release 17.10, which I can not confirm, since I never used 17.10. I use mostly the LTS releases.
But I can strongly confirm the problem with 18.04.
I help you of course, the problem is also mine, since I'm a Lubuntu fanatic :)
and I really want it to work well.

To Walter:

Maybe, but I can only tell my experience, Thunar produces just the same kind of freeze as PcManFM. Trying Thunar in original Xubuntu Bionic I could not recognize the freezing, however I don't like Xubuntu. There are many other hard things with that... which are always leading me back to Lubuntu. :)

But what I found, I was able to upgrade PCManFM 1.2.5 to the version 1.3.0 (comes with Cosmic) from Lauchpad.net
This new version can use Bionic's original Libfm 1.2.5 without any problem.
I've used it about for a week and
THERE IS NO MORE FREEZING. EVERYTHING IS WORKING WELL.

I'm really curious what is the difference between 1.2.5 and 1.3.0 ?

Caja also works with Lubuntu Bionic well, without any problem, no freezing.

I have only tried Lubuntu Bionic yet.

My gvfs version:
****************
gvfs:amd64 1.36.1-0ubuntu1.1
gvfs-backends 1.36.1-0ubuntu1.1
gvfs-bin 1.36.1-0ubuntu1.1
gvfs-common 1.36.1-0ubuntu1.1
gvfs-daemons 1.36.1-0ubuntu1.1
gvfs-fuse 1.36.1-0ubuntu1.1
gvfs-libs:amd64 1.36.1-0ubuntu1.1

My libglib version:
*******************
libglib-object-introspection-perl 0.044-2
libglib-perl 3:1.326-1build1
libglib2.0-0:amd64 2.56.2-0ubuntu0.18.04.2
libglib2.0-bin 2.56.2-0ubuntu0.18.04.2
libglib2.0-cil 2.12.40-2
libglib2.0-data 2.56.2-0ubuntu0.18.04.2
libglibmm-2.4-1v5:amd64 2.56.0-1

Regards,
Janos

Mike (calimer) wrote :

Hi! I am not a linux expert but I'm having the crashes with PCManFM too, all the time. I rarely, if ever had them on Lubuntu 16.04.

RE: "I'm really curious what is the difference between 1.2.5 and 1.3.0?"

Here is the diff on the launchpad page:
http://launchpadlibrarian.net/368644982/pcmanfm_1.2.5-3ubuntu1_1.3.0-1.diff.gz

From this page:
https://launchpad.net/ubuntu/+source/pcmanfm/1.3.0-1

Hopefully this helps :) I hope you all have a great day and thank you for your efforts on this!
-Mike

Walter Lapchynski (wxl) wrote :

tl;dr enormous diff XD

Anyways I guess that kills my theory since both of those are Bionic versions. And you say you have the old libfm which utterly shocks me.

Janos, can you please do like you did with pcmanfm and install the Cosmic version of thunar and let me know if it also fails to crash?
https://launchpad.net/ubuntu/+archive/primary/+files/thunar_1.8.1-1_amd64.deb

Hopefully, it, too, can go without an upgrade to its libs, but if it can't:
https://launchpad.net/ubuntu/+archive/primary/+files/libthunarx-3-0_1.8.1-1_amd64.deb

Mike (calimer) wrote :

Looks like that is just one part of it, not sure how to edit my post but here is more info:
https://blog.lxde.org/2018/04/23/libfm-pcmanfm-1-3-0-released/

Janos Verebes (janoka72hun) wrote :

Hi Mike,

I found that PcManFM has a new version 1.3.0 for Cosmic, and it has as a necessary part LibFM 1.3.2.
Since I found installable .deb file of PcManFM itself in the Launcpad, and I found LibFM for it nowhere as an installable .deb file, first I tried only the PcManFM deb file to install to see what will happen...
After installation PcManFM runs like a charm with old LibFM (1.2.5) and no more freezing. Virtually it solved my (and maybe others) main problem - without knowing its background.

And on the other hand I was not brave enough to make experiments with LibFM. I don't know if it works with Bionic or not, since it is quite clear by Lauchpad that it has been made for Cosmic.

I know this is quite a "not standard" solution, I was surprised (in a good meaning) that PcManFM 1.3.0 works with LibFM 1.2.5

I send you a picture of the "About" section of my "Now working" software.

On Wednesday at my work my first to do will be trying Thunar Cosmic on Lubuntu Bionic where my test installation is. The other thing I want to try is PcManFm 1.2.5 on Xubuntu Bionic to see what will happen, since Thunar for Bionic works well on it.

Best regards,
Janos

Janos Verebes (janoka72hun) wrote :

Hi Walter,

According to my previous message in which I mentioned the mixed usage of PcManFM, I have a question if it is possible to use LibFM 1.3.2 with Lubuntu Bionic or it containing Cosmic specific dependencies or something like that.
Other question if it is possible to get libFM 1.3.2 in an installable deb package, or only available by git cloning. By the way all this mixed version seems to be quite good so far.

So on Wednesday I will make the tests, and as an extra I will try PcManFM and Thunar with Ubuntu Mate Bionic to see their behavior. However I found Mate awfully slow, I will perform the tests, since there is an installed and completely working version on a HDD.

Thanks for your kind answer,
Best regards,
Janos

Janos Verebes (janoka72hun) wrote :

Hi Walter,

I tried to install Thunar 1.8.1 as you asked me, but not Thunar 1.8.1, nor libthunarx-3-0_1.8.1 can be installed on Lubuntu Bionic because of dependency problems. Thunar needs Thunar-data 1.8.1, libtunarx needs libxfconf 4.6.0 or newer which I could not find... and hopefully doesn't harm stability of Lubuntu Bionic.
PLease (if you can) send me links to these dependencies, hopefully they are enogh to install Thunar 1.8.1.

Regards,
Janos

Walter Lapchynski (wxl) wrote :

First some general advice. Deb packages are ALWAYS available for released software versions, but they're under the source package in Launchpad. Sometimes the source package and the binary (deb) package have the same name. On the other hand, sometimes a lot of packages are built from a single source package. The debian/control file will list the source package for a particular piece of software (i.e. if you were to do `apt-cache show deb-package-name | grep Source`). If you're trying to find information for a different release, you might look up the deb package on packages.ubuntu.com. It will show you a link to the source package name at the top left. Once you have the source package name, you can look it up on Launchpad (or use `!upkg source-package-name` on duckduckgo.com) and from there you'll see all the debs along with a bunch of other downloads or simply look at the bottom of the listings at packages.ubuntu.com.

That said:

libfm: https://launchpad.net/ubuntu/+archive/primary/+files/libfm4_1.2.5-1ubuntu1_amd64.deb
thunar-data: https://launchpad.net/ubuntu/+archive/primary/+files/thunar-data_1.8.1-1_all.deb
libxfconf: https://launchpad.net/ubuntu/+archive/primary/+files/xfconf_4.13.5-1_amd64.deb

Patrick Schmitt (mrsmith3101) wrote :

Just wanted to opt in as I'm also affected. I'm running Lubuntu 18.04.1 on a Lenovo Thinkpad X250 in a 2 monitor setup.

I tried, like Janus mentioned, to install pcmanfm 1.3.0 from the deb file provided.
My LibFM version is unchanged at 1.2.5.

Sadly I have to report that just updating pcmanfm does not solve my crashing problem. (but it seems like it does not happen as often as with version 1.2.5, but this is not confirmed)

The crash itself happens very randomly. Sometimes if I try to open a folder or a document, and sometimes just by selecting files. It seems to never crash if I just leave a pcmanfm window open.
If it crashes it will just freeze or "close" instantly. Sometimes I see a "Sorry Ubuntu has experienced an internal error ...." message.
If I than try to see the details of the error message -> the message closes instantly so the message window itself crashes also.

Today I will try to use the Nautilus file manager. Version 3.26.4 from the official repository.

I will reply after I can confirm if Nautilus crashes too or not.

Any help is very much appreciated as my system is currently used for work. Crashes during file operation is very dangerous. Considering switching to another flavor of Ubuntu.

Best regards,
Patrick

Janos Verebes (janoka72hun) wrote :

Dear Patrick,

I can confirm Your full story about crashing PcManFM just point-by-pont. Since using PcManFM 1.3.0 with LibFM ver. 1.2.5 crashes became not as frequent as it had been before. But it is not a solution.
I installed Caja file manager (oroginally used by Ubuntu Mate), which causes no problem at all, and is much smaller than Nautilus which wants to install half of the the big gnome 3 desktop environment to be able to go. Caja is smaller with less needs, and really as good as Nautilus. It is worth a try.

As all of us can see, the future of Lubuntu is LXQT desktop environment, which is quite different from this original LXDE. I really liked the good old environment because of its unbeatable speed and reliability. From now, we can see the direction of Lubuntu evolution. Looking at the half KDE half LXQT desktop with a terminal oriented network configuration ... I hope and wish the software developers all the best. I also hope (and as I read lots of Debian users do) I will be able to use the native LXDE desktop environment for a long time!

Walter Lapchynski (wxl) wrote :

Janos, this is a total aside and should be something best discussed on the Lubuntu mailing list (<email address hidden>) but I will mention that PCMan himself is no longer involved in the development of GTK PCManFM, although he is in the Qt version. The future is bright for LXQt but much more to do, as you mention with the network configuration. It will not simply be another version of KDE. KDE themselves have worked hard to modularize their stuff more so that using some KDE software doesn't bring the whole rest of the desktop with it. This means you can make use out of their years of experience with Qt, without having to deal with a huge footprint. There's heavy development happening on LXQt. Not so much with LXDE. And the transition to GTK3 is *still* something the few LXDE developers remaining are stuggling with. And, if PCMan's original explorations on the subject still hold true, the GTK3 version, when complete, will not be able to match the speed and reliability of the Qt version. After all, are you having these problems in Lubuntu 18.10's pcmanfm-qt? I suspect not.

Walter Lapchynski (wxl) wrote :

New thought: do these problems leave .crash files in /var/crash? If so, you might want to try apport-retrace:
https://wiki.ubuntu.com/DebuggingProgramCrash#Using_apport-retrace

MarkF (az2008) wrote :

I'm also having this problem. I reported it on Lubuntu-Users mailing list.[1] Walter referred me to this bug report. I am running strace[2]. I am pretty darn sure this began with 17.04.[3]

I mentioned on the Lubuntu mailing list that I had developed a "feeling" (after living with it for almost a year) that the crashes had something to do with clicking too fast, overloading something like that. But, that could be my imagination. (However, since I began running strace, it hasn't happened. My imagination is now believing strace is slowing me down and "pacing" that problem for me. Time will tell. If it doesn't happen for 2 months, I will be convinced it's a timing problem -- something happening too fast.).

I also mentioned to Walter that I installed Gimp 2.10.x when I upgraded to Lubuntu 18.04 (fresh install.). It began crashing in the same way PCManFM did (freeze, window asks if I should wait or kill it). Lately it's just disappearing (no freeze), and I believe PCManFM was doing that too. So, my imagination was also linking this to the PCManFM crash. But... my rational mind kept saying "2.10 is a big change. It must be that."

I haven't used GIMP much (or at all) since starting strace. I used it (2.10.8) yesterday. The first thing I noticed was that the strace (for PCManFM) was very active. I thought I had seen strace quiesce when I clicked into an application window (like the Chrome browser). But, when I clicked into the GIMP window, it's like the PCManFM logging activity *doubles*.

So, that reinforced my imagination that the GIMP 2.10 crashes are related to PCManFM's. Fortunately, GIMP crashed (disappeared). I CTRL-break'ed out of the strace within 3-6 seconds.

Maybe I'm barking up the wrong tree. But... I wanted to make that log available if someone speaks that language. I tailed the last 500 lines (21 seconds) and am attaching it here. Remember: the console's STDERR/OUT was being captured too. SO, there may be a meaningful message from that too.

[==== BREAKING NEWS! I was trying to get the size of that file by clicking "properties" (or just trying to get to that point), and PCManFM crashed. I will post a subsequent message with that strace output in a few minutes. I will go ahead and post this one (the GIMP crash while strace'ing PCManFM) in case it could shed any light. Again, the only reason I thought it could be related is because GIMP causes a lot of strace output for PCManFM. ====]

[1] https://lists.ubuntu.com/archives/lubuntu-users/2018-November/012151.html
[2] pidof pcmanfm
kill <pid from previous command>
strace -Ff -tt pcmanfm --desktop 2>&1 | tee strace-pcmanfm.log
[3] I used to upgrade Lubuntu every release, but stopped at some version I don't recall. That was when the PCManFM crashes started. I believe it was 17.04 because I was waiting for LTS (18.04), had gotten used to opening a terminal window and executing "pcmanfm --desktop &disown" all the time. I noticed before 18.04 that I wasn't getting updates anymore. From the Ubuntu version list it looks like 17.04 went out of support at about the time I think I stopped being updated. (It could have been 16.10. But, I don't think the updates had stopped for that long.).

MarkF (az2008) wrote :

As mentioned in the previous msg, I am stracing PCManFM (1.2.5) and it finally crashed. Attached are the last 12k lines from strace, about 25 seconds. I CTRL-break'ed out of it within 4-10 seconds. I was a little slow, being in the middle of the previous message, trying shift my thoughts to what that meant.

I was trying to navigate via PCManFM to the other strace file (attached to the prior msg) when PCManFM crashed.

[Also notice how 25 seconds is contained in 12k lines. Compare that to the previous msg where GIMP 2.10.8 crashed and there was 500k lines for 21 seconds. (I erroniously said "500 lines." I meant 500*K*.). That's why I think GIMP's crashes are related somehow.]

Janos Verebes (janoka72hun) wrote :

Dear MarkF,

I confirm your GIMP crashing problem, but I have this problem using GIMP 2.8. I got crashes nearly immediately.
After installing GIMP 2.10 from kesselgulasch's PPA there was problem no more.
I could work with GIMP 2.10 without any problem, and I really liked it, there was a great improvement since version 2.8. First I thought the source of all problem is the new Swap policy, using a dynamic swap file (instead of a predefined swap partition) as it is used in Windows systems. I stuck at using a swap partition, which never caused any problem. So crashing Gimp stopped with version 2.10. After trying XFCE's Thunar as a file manager I could realize the problem is not originated from PcManFM. It is something deeper... Then with Mate's Caja file manager all the crashes gone. The only difficulties were making Caja as default filemanager, and the Desktop handling with this file manager. But with this step I could make Lubuntu work stable.

Dear Walter,

I really didn't want to hurt any of LXQT developers. I'm sure this work is very hard, and this is just the beginning of a journey to a really great Lubuntu desktop. My (and others) fear was the chance of losing this great and lightning fast, very well configurable LXDE desktop which has worked and developed well for long-long years. LXQT is a bit strange now, but as time goes by we will get used to it. (My first decision to change to LXDE desktop (Lubuntu) is originated from Ubuntu changed its desktop from gnome 2.8 to Unity which was so strange.. and really divided the old community of Ubuntu users.) And Gnome became more and more power hungry and beautiful, LXDE remain fast and simple - and its beauty is its fastness.
So I want to apologize if I was rude.
I really looking forward to try a great LXQT Lubuntu.
I promise I will try 18.10 more, but I have to tell you I did not get a crash of PCManFM so far.

Best Regrads,
Janos

MarkF (az2008) wrote :

@Janos, I want to confirm that your experience with GIMP is backwards from mine. I ran GIMP 2.8 the whole time I was on the older Lubuntu (described in my first comment, 3 comments above) which PCManFM crashed all the time. GIMP was fine for me then. When I installed Lubuntu 18.04 (fresh install) and installed GIMP (2.10.x), that's when PCManFM continued crashing... and GIMP had joined the fun.

Your comment made me remember that I installed GIMP 2.10.x from a flatpack. So, I uninstalled that and followed the directions (found with Google search) to setup the PPA you mentioned, and install GIMP (2.10.8).

It's too soon to say it's stopped crashing. But, wow! It loaded *amazingly* fast. Something's different.

I just started strace for PCManFM, then started this (apt packaged) GIMP. PCManFM's strace log quiesces when I'm in GIMP, doing things. (As mentioned in my second comment, two comments above), the original flatpack GIMP was causing massive logging activity. 60meg for 21 seconds. It's doing almost nothing right now.

It must be related somehow. Untill I report back otherwise, everyone can assume GIMP stopped crashing.

MarkF (az2008) wrote :

FYI: PCManFM hasn't crashed since I uninstalled the flatpack-installed version of GIMP 2.10.8 (and installed a PPA served apt-get package). I did that thinking it might fix my GIMP crashes which began with 2.10.x (when I installed Lubuntu 18.04). It did fix that. But, I haven't had a PCManFM crash yet either. I should have had one by now.

If it's really the flatpack'ed GIMP causing PCManFM to crash, I'm confused why the prior version of Lubuntu I was running (17.04. Could have been 16.10) had a crashing PCManFM. I was using GIMP 2.8.x that whole time. It never crashed (although PCManFM did). It's possible I installed that GIMP from a flatpack (if GIMP served it that way back then). Maybe *flatpack* is the tie-in, and not GIMP(?).

I can't think of any other way to explain it what I've experienced.

Mark

Janos Verebes (janoka72hun) wrote :

Dear MarkF,

I used GIMP 2.10 from kesselgulasch's PPA since I experienced continuous crash of 2.8 installed normally from lubuntu packages. Absolutely no crash since then, but I could not find any connection between PcManFM 1.2.5 crash and GIMP crash. There are no shared packages between the two softwares. PcManFM 1.2.5 was doing its crash as usual. Only then I upgraded PcManFm to 1.3.0 with LibFM 1.2.5 and crashes became quite rare. BUT! The freezing is there!
The problem seemingly does not come from PcManFm, but I have not tried it under MATE or GNOME desktops. This could give the correct answer to the source of the problem. But since I tried Thunar file manager with Lubuntu and it also did the freezing emerged the question of not blaming PcManFM but Lubuntu.

Regards,
Janos

MarkF (az2008) wrote :

Just another FYI. PCManFM crashed again. I was right clicking to create a new folder. When I typed the folder name and clicked "Ok," the desktop disappeared, and came back (I didn't have to start PCManFM from the command line, like I have had to do in the past). But, no new folder was created.

So, uninstalling the flatpack GIMP didn't fix it. (But, it did fix GIMP's crashes, which seem to be related to PCManFM somehow, due to the volume of strace activity when using that flatpack GIMP while stracing PCManFM.).

Schmidt Mark (scmar1+) wrote :

The menu-cache 1.1.0-1 causes pcmanfm to crashes suddenly and randomly
With degradation of menu-cache from the version 1.1.0-1 to the version 1.0.2-2, there is a temporary solution, until the menu-cache's bug is corrected.

Janos Verebes (janoka72hun) wrote :

Dear scmar1+,

Thank you very much for finding the solution, this is a very important information, which solves a really annoying problem.

Thanks again,
Best wishes and I wish You and all other guys a Blessed and Happy New Year!

Janos

Sorry, but did I understand that a temporary solution is to downgrade libmenu-cache to version 1.0.2-2?

Schmidt Mark (scmar1+) wrote :

Dear cgarciang,

Not libmenu-cache but menu-cache is the correct package name.

Thw downgrade menu-cache package https://sourceforge.net/projects/lxde/files/menu-cache/1.0/ is the only solution (temporarily).
The version 1.0.2 is more stable than the version 1.1.0

Schmidt Mark (scmar1+) wrote :

The version 1.0.2 (1.0.2-2) is for Arch.
For the Ubuntu the version after official is 1.0.1 (1.0.1-1)
https://launchpad.net/ubuntu/+source/menu-cache

rych (irych) wrote :

It crashes regardless the version of menu-cache and the error message in the "~/.cache/lxsession/LXDE/run.log" indicates a multi-threading bug:

pcmanfm
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
** Message: 19:58:49.267: app.vala:130: pcmanfm exit with this type of exit: 6
** Message: 19:58:49.268: app.vala:148: Exit not normal, try to reload
** Message: 19:58:49.268: app.vala:76: Launching pcmanfm

Ilya Kotov (forkotov02) wrote :

I have same problem with all gtk2 applications https://bugs.launchpad.net/ubuntu/+source/gtk+2.0/+bug/1808710

Walter Lapchynski (wxl) wrote :

Can EVERYONE that has the problem confirm something similar to the error:
pcmanfm: xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
????

If so we have an upstream bug:
https://sourceforge.net/p/pcmanfm/bugs/1089/

Just the same:
(pcmanfm:1034): GLib-CRITICAL **: 22:26:36.391: Source ID 45146 was not found when attempting to remove it
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: ../../src/xcb_io.c:259: poll_for_event: La declaración `!xcb_xlib_threads_sequence_lost' no se cumple.
** Message: 22:27:01.102: app.vala:130: pcmanfm exit with this type of exit: 134
** Message: 22:27:01.102: app.vala:148: Exit not normal, try to reload
** Message: 22:27:01.108: app.vala:76: Launching pcmanfm

Walter Lapchynski (wxl) wrote :

Thanks, Carlos. If I can get one more confirmation of this, I'm inclined
to call it a trend and I'll push it upstream because I suspect that will
be sufficient to figure out where the solution may lie.

However, my concern is where the upstream is. Ilya says they're having
the problem with many GTK2 apps, so perhaps this is not LXDE's issue but
GTK's. Can anyone confirm they are also having problems with other GTK2
apps?

Hello,

I have the same problem. When PCManFM is used, it crashes after approximately one hour.

The file ~/.cache/lxsession/LXDE/run.log contains:
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: ../../src/xcb_io.c :259 : poll_for_event: l'assertion « !xcb_xlib_threads_sequence_lost » a échoué.
** Message: 17:49:25.678: app.vala:130: pcmanfm exit with this type of exit: 6
** Message: 17:49:25.678: app.vala:148: Exit not normal, try to reload
** Message: 17:49:25.679: app.vala:76: Launching pcmanfm

The command "lsb_release -a" indicates:
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description: Ubuntu 18.04.2 LTS
  Release: 18.04
  Codename: bionic

The command "dpkg -l | grep pcman" indicates:
  ii pcmanfm 1.2.5-3ubuntu1 amd64 extremely fast and lightweight file manager

I used PCManFM several years without problems. During the last month or two (not very precise), it crashed some times. But this WE, I had to intensively use PCManFM, so the crash occurred 5 times.

Hope this helps.
Thank you.

rych (irych) wrote :

Walter: occasionally even Leafpad would crash, although I do not have a log of those rare events. But now I have another GTK file manager that locks-up on me in similar way. I've been trying the OpenBox variant of Porteus which comes with SpaceFM. We've pulled out a latest alpha of SpaceFM. It crashes too, albeit less frequently than PCManFM. The developer of SpaceFM apparently is trying to fix multithreading bugs, see https://github.com/IgnorantGuru/spacefm/commits/alpha : "conservative lock", "mutex", "non-thread-safe", "thread races" coming from within GTK functions (!?) Perhaps IgnorantGuru could tell us if there is a problem with GTK multithreading. I haven't found yet if SpaceFM logs any errors. It freezes. It's another GTK application. Therefore I will be moving to a non GTK distribution. I will continue to monitor this thread though for updates.

Walter Lapchynski (wxl) wrote :

Rych, as I mentioned before Ilya had expressed issues with other GTK
apps. In particular, the same error appears in /var/log/syslog with
LibreOffice, so that may be somewhere to check:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1801161

The one thing to notice about this is that this is a problem with GTK2.
With GTK3, it's implied there are no such problems. We know that LXDE is
not GTK3 compliant. However, SpaceFM seems to be able to support GTK3,
so try that and see if it doesn't fix your problems.

As an aside, PCMan himself abandoned GTK in lieu of Qt since GTK3 was
more of a resource hog. If you want a distro that's non-GTK, go for
Lubuntu 18.10+ as it uses LXQt.

Thank you, @Walter for the excellent advice! SpaceFM GTK3 works well: 3 days so far without any freezes!

rych (irych) wrote :

SpaceFM GTK3 indeed works without hanging. Moreover, there is finally a report about the rarer Leafpad crash: the error in the LXDE log is **identical** to pcmanfm error.

This suggests that PCManFM (or Leafpad) are not the cause but are themselves victims of an upstream problem (with GTK2 probably)

EnduranceCode (endurancecode) wrote :

I have the same problem with PCManFM, it randomly crashes/freezes all the time. It started happening with a fresh install of Lubuntu 18.04.01 in a custom made desktop and in a Dell Latitude D820 Laptop. Last week I've downloaded the latest version of Lubuntu 18.04 and made a new fresh install in the Dell laptop and the problem persists.

Like MarkF (az2008), I also suspect that the problem is related with clicking to fast.

My GIMP instalation also crashes randomly. It crashed when I've installed from the Ubuntu's PPA and it continues crashing after I've installed it from Kesselgulasch's PPA. I have the same problem with Inkscape, it also randomly crashes all the time. It crashed when I've installed from the Ubuntu's PPA and it continues crashing after I've installed it from the official Inkscape's PPA.

This problem is very annoying and it criples my productivity. Does anyone knows if the problem disappears in Lubuntu 18.10?

Walter Lapchynski (wxl) wrote :

@EnduranceCode: Lubuntu 18.10 does not use LXDE, but LXQt, so it's not
PCManFM, but PCManFM-qt. It does not suffer this problem because as
suggested in the last few comments, the problem seems to be related to
GTK and particularly GTK2. LXDE is still not GTK3 compliant, but if it
was, I believe that would solve this problem. You might want to check
and see if you have the errors reported above, as that would again go a
long way to further confirm this.

@wxl: Walter Lapchynski,
Can you please tell me what I should look for in /var/log/syslog or in any other file? I woul like to help but I'm not sure how to do it.
Thank you

Walter Lapchynski (wxl) on 2019-04-07
Changed in pcmanfm (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Critical
Walter Lapchynski (wxl) wrote :

@EnduranceCode, you would want to look in ~/.cache/lxsession/LXDE/run.log for something similar to:

[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
** Message: 19:58:49.267: app.vala:130: pcmanfm exit with this type of exit: 6
** Message: 19:58:49.268: app.vala:148: Exit not normal, try to reload

Walter Lapchynski (wxl) on 2019-04-07
description: updated
tags: added: lubuntu
summary: - PCManFM crashes frequently on Lubuntu 18.04
+ PCManFM freezes with Assertion `!xcb_xlib_threads_sequence_lost' failed
+ when clicking on a file or folder in 18.04
Isny (isny) wrote :

** (zeitgeist-datahub:1475): WARNING **: 15:24:07.191: zeitgeist-datahub.vala:210: Error during inserting events: GDBus.Error:org.gnome.zeitgeist.EngineError.InvalidArgument: Incomplete event: interpretation, manifestation and actor are required
evince 'file:///home/..........pdf'
pcmanfm
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: ../../src/xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
** Message: 15:30:11.189: app.vala:130: pcmanfm exit with this type of exit: 134
** Message: 15:30:11.189: app.vala:148: Exit not normal, try to reload
** Message: 15:30:11.193: app.vala:76: Launching pcmanfm

Loob Ngawe (loob) wrote :

This bug still exists. PCManFM randomly freezes and prompts me to end the process.
Like @Patrick Schmitt, I receive a "Sorry Ubuntu has experienced an internal error ...." message, and when I than try to see the details of the error message, the message window itself crashes instantly.

In addition to this, the desktop icons will disappear, leaving just my wallpaper. I can't get my icons to reappear unless I restart my computer.

Today, matters got worse. Now when PCManFM freezes and its process ends, my desktop completely resets to its default state. I see the default Lubuntu wallpaper and all my icons lose the places I moved them to and shift to the left side of the screen. The font size and color reset to the default too.

It's been over a year since this issue started. This is getting ridiculous. I'm a new user to Linux and I have to face an issue like this within months of picking up this distro. Developers, I hope you realize this is a very bad look for you. Windows would have fixed a bug like this within a day. I thought LTS was supposed to be the stable version?

Can someone please tell me how to solve this? Does installing Caja File Manager really work?

Bayu Aditya H. (bayuah) wrote :

Hi!

Beside PCManFM, my Geany also has same error message.

Maybe this is something to do with mesa?

https://github.com/rust-windowing/glutin/issues/1034

Thank you.

Daniel Voyce (voycey) wrote :

Hi All,

This problem still exists in LXDE - after reading the comments here I upgraded to LXQT and I am still experiencing the same problem.

This seems like it is something endemic to this desktop environment and I would also agree that it seems to come about from "Clicking too much".

Basically Lubuntu is unusable as is which is a huge shame - especially as LXQT is really sleek for my uses.

Hans P. Möller (hmollercl) wrote :

@Daniel, could you please proivde logs of the problem in LXQt? Just to see if it's the same problem or another.

Hans P. Möller (hmollercl) wrote :

@voycey coulkd ypu please provide logs of the issue in LXQt?

Walter Lapchynski (wxl) wrote :

Actually, Daniel, your mention of "upgrading" to LXQt has me wondering whether or not you took an LXDE version and then upgraded to an LXQt version(unsupported by Lubuntu, officially) without cleaning up all the old LXDE/GTK stuff. This could certainly lead to you using pcmanfm rather than pcmanfm-qt or otherwise using some app or apps that use GTK2, which everything seems to point to being the problem. LXQt doesn't use GTK-anything, so it should entirely be a non-issue.

Ilya Kotov (forkotov02) wrote :
Guus Ellenkamp (ellenkampguus) wrote :

Yeah, really annoying. Happens often to me and no clue when it happens, but it happens like every fifteen minutes or so. I was just looking to install another file manager and found this bug report. And I am a programmer and happy to help, but not familiar with anything like this.

Guus Ellenkamp (ellenkampguus) wrote :

[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pcmanfm: ../../src/xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
** Message: 20:37:32.170: app.vala:130: pcmanfm exit with this type of exit: 134
** Message: 20:37:32.170: app.vala:148: Exit not normal, try to reload
** Message: 20:37:32.172: app.vala:76: Launching pcmanfm

alex-mobigo (alex-mobigo) wrote :

Hi, any news on this?
I have the same issue on Ubuntu 18.04.3 LTS.
I have upgraded from 16.04 recently and started to have this error.
This bug also affects leafpad and probably meld.
meld has a fix or workaround but can't remenber what was the fix, i had to install the latest meld from source, that fixed the problem.

I would like to hear if someone found any workaround or is it a bug on libX11?

https://github.com/mirror/libX11/blob/master/src/xcb_io.c#L259

Looks like google chrome freezes from time to time in a very similar way but could be a tone of things, just for the record.

What can i do to help?

alex-mobigo (alex-mobigo) wrote :

Just to add a few thoughts, this bug affects Google Chrome also.
The error is hard to reproduce, it happens anytime, even if in idle mode. However Chrome seems to do a lot of things in the background.

I've put this here just to ask if the bug could be somewhere else, like in the libxcb or libx11 that causes other applications to crash.

I upgraded a few days ago from 16.04 and there were no problems.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.